Create a new AoF consent

Creates a new Account-on-File consent that can be authorized later.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request to create a new Account on File consent

uuid
required

The unique identifier of the customer for whom the consent is being created.

uuid | null

The unique identifier of the account acting as a consent beneficiary.
Used for a single-beneficiary (SINGLE) consent.
Provide exactly one of destination_account_id or destination_account_ids — one is required and they are mutually exclusive.

destination_account_ids
array of uuids | null, unique

The unique identifiers of the accounts acting as consent beneficiaries.
Used for a multi-beneficiary (MULTIPLE) consent, constrained to between 2 and 10 accounts.
Provide exactly one of destination_account_id or destination_account_ids — one is required and they are mutually exclusive.

destination_account_ids
string | null

Client's identifier that can be used in their ERP systems.
Optional.

string
required
^[A-Z]{3}$

The ISO 3 letter currency code

string
required
length ≤ 64

A reason or reference in relation to a payment. Maximum 64 chars

string
enum
required

A category code that relates to the type of services or goods that corresponds to the underlying purpose of the payment.
The code must conform to the payment purpose code list.
Supported values:

  • FIS – Financial services
  • TCS – Telecommunication services
  • MWP – Mobile wallet card payments
  • OAT – Own account transfer
  • IFS – Information services
  • RNT – Rent payments
  • LNC – Loan charges
  • PIN – Personal investments
  • GDS – Goods bought or sold
control_parameters
required
government_identifier
object

Unique government identifier of the customer making the payment.
As required by the UAE Open Finance standard, it ensures the debtor can be uniquely recognized.
This field supports providing or updating the identifier on-the-fly when creating a consent.

string | null

Full name of the account holder, used for name verification when name-verified Account-on-File is enabled for your application.
If the customer already has a full_name, the stored name is kept and this value is ignored; use PUT /customers/v1/{customer_id} to change it.
Optional.

date-time | null

The date and time when the consent becomes active.
Optional. Defaults to the current date and time if not provided.

date-time | null

The date and time when the consent expires.
Optional. Defaults to one year after start_date_time if not provided.

immediate_payment
object | null

Details of a payment that will be executed immediately after the user successfully authorizes the consent. If present, the payment is initiated automatically as part of the consent authorization flow.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json